comma_if.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/if.hpp>`
`#include <msgpack/preprocessor/facilities/empty.hpp>`
`#include <msgpack/preprocessor/punctuation/comma.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_COMMA_IF(cond) MSGPACK_PP_COMMA_IF_I(cond)
#define | MSGPACK_PP_COMMA_IF_I(cond) MSGPACK_PP_IF(cond, MSGPACK_PP_COMMA, MSGPACK_PP_EMPTY)()

## Macro Definition Documentation

## MSGPACK_PP_COMMA_IF

#define MSGPACK_PP_COMMA_IF | ( |  | cond | ) | MSGPACK_PP_COMMA_IF_I(cond)

## MSGPACK_PP_COMMA_IF_I

#define MSGPACK_PP_COMMA_IF_I | ( |  | cond | ) | MSGPACK_PP_IF(cond, MSGPACK_PP_COMMA, MSGPACK_PP_EMPTY)()